## wireless-tools 27

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,16 @@
 ##
 
 ## Installation directory. By default, go in /usr/local
-## Distributions should probably use /usr, but they probably know better...
+## Distributions should probably use /, but they probably know better...
 ifndef PREFIX
   PREFIX = /usr/local
 endif
 
-## Compiler to use
+## Compiler to use (modify this for cross compile)
 CC = gcc
+## Other tools you need to modify for cross compile (static lib only)
+AR = ar
+RANLIB = ranlib
 
 ## Uncomment this to build tools using static version of the library
 ## Mostly useful for embedded platforms without ldd, or to create
@@ -25,10 +28,10 @@
 # ***************************************************************************
 
 # Version of the Wireless Tools
-WT_VERSION := $(shell sed -ne "/WT_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.c )
+WT_VERSION := $(shell sed -ne "/WT_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.h )
 
 # Version of Wireless Extensions.
-WE_VERSION := $(shell sed -ne "/WE_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.c )
+WE_VERSION := $(shell sed -ne "/WE_VERSION/{s:\([^0-9]*\)::;p;q;}" < iwlib.h )
 
 # Always use local header for wireless extensions
 WEXT_HEADER = wireless.$(WE_VERSION).h
@@ -103,7 +106,7 @@
 
 iwspy: iwspy.o $(IWLIB)
 
-iwgetid: iwgetid.o
+iwgetid: iwgetid.o $(IWLIB)
 
 iwevent: iwevent.o $(IWLIB)
 
@@ -122,8 +125,8 @@
 # Compilation of the static library
 $(STATIC): $(OBJS)
 	$(RM) $@
-	ar cru $@ $^
-	ranlib $@
+	$(AR) cru $@ $^
+	$(RANLIB) $@
 
 # So crude but so effective ;-)
 # Less crude thanks to many contributions ;-)
