=== debian/changelog ===
wireless-tools (28-1.osso1) unstable; urgency=low

  * Changed some build rules to make package buildable in our environment

 -- Janne Ylalehto <janne.ylalehto@nokia.com>  Tue, 12 Sep 2006 11:41:11 +0300

wireless-tools (28-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 11 Apr 2006 19:52:34 +0200

wireless-tools (27+28pre16-1) unstable; urgency=low

  * New upstream release.
  * Move the symlink /lib/libiw.so back to /usr/lib. Closes: #360372

 -- Guus Sliepen <guus@debian.org>  Wed,  5 Apr 2006 13:51:59 +0200

wireless-tools (27+28pre15-1) unstable; urgency=low

  * New upstream release.
  * Move udeb library dependency to shlib file (patch from Frans Pop).
    Closes: #357802

 -- Guus Sliepen <guus@debian.org>  Tue, 21 Mar 2006 12:30:13 +0100

wireless-tools (27+28pre14-1) unstable; urgency=low

  * New upstream release.
  * Move static library to /usr/lib. Closes: #350707
  * Remove /etc/iftab on purge. Closes: #345991

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Feb 2006 12:29:31 +0100

wireless-tools (27+28pre13-1) unstable; urgency=low

  * New upstream release.
  * Stricter version dependency on libiw28. Closes: #345146

 -- Guus Sliepen <guus@debian.org>  Fri, 30 Dec 2005 19:18:46 +0100

wireless-tools (27+28pre11-1) unstable; urgency=low

  * New upstream release.
  * Fix installation of translated manpages.

 -- Guus Sliepen <guus@debian.org>  Fri,  2 Dec 2005 12:30:21 +0100

wireless-tools (27+28pre10-1) unstable; urgency=low

  * New upstream release. Closes: #272662

 -- Guus Sliepen <guus@debian.org>  Mon, 17 Oct 2005 01:17:10 +0200

wireless-tools (27+28pre9-1) unstable; urgency=low

  * New upstream release.
  * Put manpages in the right packages. Closes: #323223
  * Fix mistake in ifrename's init script that prevented it from running.

 -- Guus Sliepen <guus@debian.org>  Wed,  7 Sep 2005 12:59:48 +0200

wireless-tools (27+28pre8-1) unstable; urgency=low

  * New upstream release.
  * Use hyphens instead of underscores in README.Debian. Closes: #309805

 -- Guus Sliepen <guus@debian.org>  Mon, 13 Jun 2005 11:41:28 +0200

wireless-tools (27-3) unstable; urgency=low

  * Add a post-down script that reverts any wireless setting present in
    /etc/network/interfaces to sane defaults. Closes: #303782
  * Add missing wireless-ap option. Closes: #303784
  * Add init script that runs ifrename on system startup. Closes: #243382

 -- Guus Sliepen <guus@debian.org>  Wed, 13 Apr 2005 12:51:03 +0200

wireless-tools (27-2) unstable; urgency=low

  * Backport fix from 28pre4 for MadWiFi scanning.
  * Backport fix from 28pre4 for dashes in interface names. Closes: #289657

 -- Guus Sliepen <guus@debian.org>  Sat,  5 Feb 2005 12:21:30 +0100

wireless-tools (27-1) unstable; urgency=low

  * New upstream release, that "hopefully will help the prompt release of the
    new stable Debian ;-)" Thanks, Jean!

 -- Guus Sliepen <guus@debian.org>  Sat,  6 Nov 2004 15:03:40 +0100

wireless-tools (26+27pre28-1) unstable; urgency=low

  * New upstream release. Closes: #271574

 -- Guus Sliepen <guus@debian.org>  Thu, 28 Oct 2004 16:12:36 +0200

wireless-tools (26+27pre26-2) unstable; urgency=low

  * Fill in version number in libiw27.shlibs by hand. Closes: #275550

 -- Guus Sliepen <guus@debian.org>  Fri,  8 Oct 2004 22:36:29 +0200

wireless-tools (26+27pre26-1) unstable; urgency=low

  * New upstream release.
  * Fix -c option. Closes: #272522
  * Let wireless-tools depend on same version of libiw.
    Closes: #269520, #272431

 -- Guus Sliepen <guus@debian.org>  Wed,  6 Oct 2004 16:49:49 +0200

wireless-tools (26+27pre25-2) unstable; urgency=low

  * Really remove version requirements from description.

 -- Guus Sliepen <guus@debian.org>  Wed, 18 Aug 2004 13:00:03 +0000

wireless-tools (26+27pre25-1) unstable; urgency=low

  * New upstream release. Closes: #264533
  * Drop kernel version requirements from description. Closes: #263342

 -- Guus Sliepen <guus@debian.org>  Wed, 18 Aug 2004 14:55:22 +0200

wireless-tools (26+27pre22-1) unstable; urgency=low

  * New upstream release.
  * Fix encoding of French manpages. Closes: #247302
  * Use hyphens instead of underscores in wireless(7) and related
    documentation. Closes: #245436
  * Add Provides: libiw27 to libiw27-udeb. Closes: #250334
  * Make iw_get_basic_config() idiot kernel driver proof. Closes: #251277

 -- Guus Sliepen <guus@debian.org>  Wed,  2 Jun 2004 16:30:27 +0000

wireless-tools (26+27pre21-1) unstable; urgency=low

  * New upstream release.
  * Apply patch from upstream author to if-pre-up.d script,
    so options are processed in more or less the same order as the
    PCMCIA scripts do. Closes: #246062
  * Use underscores in wireless(7). Closes: #245436

 -- Guus Sliepen <guus@debian.org>  Thu, 29 Apr 2004 15:19:30 +0200

wireless-tools (26+27pre20-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Thu, 15 Apr 2004 15:30:17 +0200

wireless-tools (26+27pre18-1) unstable; urgency=low

  * New upstream release.
  * Remove build-depends on di-packages-build, since debhelper can now
    create udebs. Closes: #239492

 -- Guus Sliepen <guus@debian.org>  Tue, 30 Mar 2004 21:19:02 +0200

wireless-tools (26+27pre16-1) unstable; urgency=low

  * New upstream release. Closes: #236670
  * Create a new binary package ifrename.

 -- Guus Sliepen <guus@debian.org>  Sat, 13 Mar 2004 12:17:28 +0100

wireless-tools (26+27pre15-1) unstable; urgency=low

  * New upstream release. Closes: #236136

 -- Guus Sliepen <guus@debian.org>  Sun,  7 Mar 2004 15:30:50 +0100

wireless-tools (26+27pre10-3) unstable; urgency=low

  * Add patch for compatibility with drivers using old version of wireless
    extensions. Closes: #235032

 -- Guus Sliepen <guus@debian.org>  Fri, 27 Feb 2004 11:03:13 +0100

wireless-tools (26+27pre10-2) unstable; urgency=low

  * Make sure wireless-tools package depends on latest version of libiw27.
    Closes: #234078

