=== debian/control ===
Source: wireless-tools
Section: net
Priority: extra
Maintainer: Guus Sliepen <guus@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.2.32)

Package: wireless-tools
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for manipulating Linux Wireless Extensions 
 This package contains the Wireless tools, used to manipulate
 the Linux Wireless Extensions. The Wireless Extension is an interface
 allowing you to set Wireless LAN specific parameters and get the
 specific stats.

Package: ifrename
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: wireless-tools (<< 27+28pre9)
Description: Rename network interfaces based on various static criteria
 Ifrename allow the user to decide what name a network interface will have.
 Ifrename can use a variety of selectors to specify how interface names match
 the network interfaces on the system, the most common selector is the
 interface MAC address.

Package: libiw28
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Wireless tools - library
 Wireless tools are used to manipulate the Linux Wireless Extensions. The
 Wireless Extension is an interface allowing you to set Wireless LAN specific
 parameters and get the specific stats.
 .
 This package contains the dynamic library libiw.

Package: libiw-dev
Section: libdevel
Architecture: any
Depends: libiw28 (= ${Source-Version}), libc6-dev
Description: Wireless tools - development files
 Wireless tools are used to manipulate the Linux Wireless Extensions. The
 Wireless Extension is an interface allowing you to set Wireless LAN specific
 parameters and get the specific stats.
 .
 This package contains the header files and static version of libiw.

Package: wireless-tools-udeb
Section: debian-installer
Architecture: any
XC-Package-Type: udeb
Depends: ${shlibs:Depends}
Description: Tools for manipulating Linux Wireless Extensions
 This package contains the Wireless tools, used to manipulate the Linux
 Wireless Extensions. The Wireless Extension is an interface allowing you to
 set Wireless LAN specific parameters and get the specific stats.
 .
 This is a udeb of the wireless tools.

Package: libiw28-udeb
Section: debian-installer
Architecture: any
XC-Package-Type: udeb
Depends: ${shlibs:Depends}
Description: Tools for manipulating Linux Wireless Extensions
 This package contains the Wireless tools, used to manipulate the Linux
 Wireless Extensions. The Wireless Extension is an interface allowing you to
 set Wireless LAN specific parameters and get the specific stats.
 .
 This is a udeb of the wireless tools.
