=== debian/changelog ===
wireless-tools (30~pre9-8) unstable; urgency=low

  * Add type to IMPORT keyword in ifrename's udev rules file. Closes: #650606

 -- Guus Sliepen <guus@debian.org>  Fri, 23 Dec 2011 16:02:18 +0100

wireless-tools (30~pre9-7) unstable; urgency=low

  * Add missing Build-Depend on dpkg-dev. Closes: #644744
  * Set key values after setting default key and key mode. Closes: #624603

 -- Guus Sliepen <guus@debian.org>  Mon, 14 Nov 2011 11:09:01 +0100

wireless-tools (30~pre9-6) unstable; urgency=low

  * Apply patch from Riku Voipio to support multiarch. Closes: #642434
  * Bump Standards-Version.
  * Provide build-arch and build-indep targets in debian/rules. 
  * Use /usr/share/dpkg/default.mk in debian/rules.
  * Allow CFLAGS to be set from debian/rules.

 -- Guus Sliepen <guus@debian.org>  Sun, 02 Oct 2011 21:43:21 +0200

wireless-tools (30~pre9-5) unstable; urgency=low

  * Apply patch from Steve Langesak clarifying the iftab manpage.
    Closes: #528324
  * Bump Standards-Version.
  * Only build wireless-tools on Linux.

 -- Guus Sliepen <guus@debian.org>  Sun, 04 Jul 2010 11:18:28 +0200

wireless-tools (30~pre9-4) unstable; urgency=low

  * Let ifrename udev rules be priority 19 instead of 019. Closes: #560801
  * Use udev rules from upstream. Closes: #556441
  * Depend on ${misc:Depends}.

 -- Guus Sliepen <guus@debian.org>  Sat, 23 Jan 2010 23:54:32 +0100

wireless-tools (30~pre9-3) unstable; urgency=low

  * Move (correctly) the scripts back to pre-up and post-down, since the
    wireless parameters must be fully configured before we can acquire an
    address through DHCP. Closes: #558476, #558221, #552093, #544883
  * Try to deal with the wireless driver madness by trying to configure all
    parameters before the interface is brought up, remembering which parameters
    failed to be set, and retrying those after bringing up the interface in the
    pre-up script.

 -- Guus Sliepen <guus@debian.org>  Fri, 18 Dec 2009 15:46:42 +0100

wireless-tools (30~pre9-2) unstable; urgency=low

  * Ensure existing pre-up and post-down scripts are properly moved to up and
    down. Closes: #558221

 -- Guus Sliepen <guus@debian.org>  Fri, 27 Nov 2009 17:28:41 +0100

wireless-tools (30~pre9-1) unstable; urgency=low

  * New upstream release.
    - Includes fix for Czech manpage for iwconfig.
    - Does not redefine inline keyword on recent compilers anymore.
      Closes: #548192
    - Prevents huge memory allocations when scanning. Closes: #541648
    - Does not use NAME="%k" in 19-udev-ifrename.rules anymore. Closes: #556441
    - Fixes iwlist scan on 64bit platforms again. Closes: #496481
  * Convert source package to 3.0 (quilt) format.
  * Bump Standars-Version.

 -- Guus Sliepen <guus@debian.org>  Thu, 26 Nov 2009 15:57:33 +0000

wireless-tools (30~pre8-1) experimental; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 10 Mar 2009 00:28:50 +0100

wireless-tools (30~pre7-1) experimental; urgency=low

  * New upstream release.
    - Fixes output of "iwlist scan" on 64 bit platforms. Closes: #496481
  * Bump Standards-Version.
  * Depend on debhelper >= 5.0.44~ for dh_installifupdown.
  * Add a genuine copyright notice to the copyright file.
  * Fix Czech manpage for iwconfig.

 -- Guus Sliepen <guus@debian.org>  Thu, 25 Sep 2008 20:13:58 +0200

wireless-tools (30~pre6-1) experimental; urgency=low

  * New upstream release.
  * Move pre-up script to up, because most new kernel drivers for wireless
    cards only accept certain configuration after the interface has been
    brought up. This may break older drivers that only accept configuration
    when the interface is down.
  * Use dh_installifupdown to install network scripts.

 -- Guus Sliepen <guus@debian.org>  Sun, 20 Jan 2008 15:18:39 +0100

wireless-tools (30~pre5-1) experimental; urgency=low

  * New upstream release.
  * Fix installation of French manpages.
  * Remove unused dependency on libm from the binaries.
  * Use -t option in ifrename's init script. Closes: #351185
  * Move init script to S37.

 -- Guus Sliepen <guus@debian.org>  Fri, 07 Dec 2007 16:48:44 +0100

wireless-tools (30~pre3-1) experimental; urgency=low

  * New upstream release.
    - No longer requires /etc/iftab when using the -n option. Closes: #446684
  * Install the ifrename udev rule file.

 -- Guus Sliepen <guus@debian.org>  Fri, 19 Oct 2007 00:58:43 +0200

wireless-tools (30~pre1-1) experimental; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 15 Oct 2007 13:56:27 +0200

wireless-tools (29-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 15 Oct 2007 10:55:49 +0200

wireless-tools (29~pre22-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 01 Jul 2007 18:03:58 +0200

wireless-tools (29~pre21-2) unstable; urgency=low

  * Don't look at LINUX_VERSION_CODE, only use generic header files in
    iwlib.h. Closes: #425485

 -- Guus Sliepen <guus@debian.org>  Tue, 22 May 2007 10:27:46 +0200

wireless-tools (29~pre21-1) unstable; urgency=low

  * New upstream release. Closes: #421569

 -- Guus Sliepen <guus@debian.org>  Thu, 03 May 2007 13:55:01 +0200

wireless-tools (29~pre20-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright and remove section about kernel versions from
    README.Debian.
  * Fix compiler warning about wrong format specifiers in iwlist.c.

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Apr 2007 12:51:43 +0200

wireless-tools (29~pre18-1) experimental; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 18 Apr 2007 10:18:16 +0200

wireless-tools (29~pre17-1) experimental; urgency=low

  * New upstream release. Closes: #398018
  * Add LSB section to the ifrename init script.

 -- Guus Sliepen <guus@debian.org>  Tue, 27 Mar 2007 10:39:33 +0200

wireless-tools (28+29pre10-1) experimental; urgency=low

  * New upstream release.


