=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: net
 Priority: extra
 Maintainer: Guus Sliepen <guus@debian.org>
-Standards-Version: 3.6.2
-Build-Depends: debhelper (>= 4.2.32)
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.3), dpkg-dev (>= 1.16.1~)
+Homepage: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
 
 Package: wireless-tools
 Section: net
-Architecture: any
-Depends: ${shlibs:Depends}
+Architecture: linux-any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Tools for manipulating Linux Wireless Extensions 
  This package contains the Wireless tools, used to manipulate
  the Linux Wireless Extensions. The Wireless Extension is an interface
@@ -17,8 +19,9 @@
 
 Package: ifrename
 Section: net
-Architecture: any
-Depends: ${shlibs:Depends}
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Conflicts: wireless-tools (<< 27+28pre9)
 Description: Rename network interfaces based on various static criteria
  Ifrename allow the user to decide what name a network interface will have.
@@ -26,10 +29,12 @@
  the network interfaces on the system, the most common selector is the
  interface MAC address.
 
-Package: libiw28
+Package: libiw30
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wireless tools - library
  Wireless tools are used to manipulate the Linux Wireless Extensions. The
  Wireless Extension is an interface allowing you to set Wireless LAN specific
@@ -39,8 +44,9 @@
 
 Package: libiw-dev
 Section: libdevel
-Architecture: any
-Depends: libiw28 (= ${Source-Version}), libc6-dev
+Architecture: linux-any
+Multi-Arch: same
+Depends: libiw30 (= ${binary:Version}), libc6-dev, ${misc:Depends}
 Description: Wireless tools - development files
  Wireless tools are used to manipulate the Linux Wireless Extensions. The
  Wireless Extension is an interface allowing you to set Wireless LAN specific
@@ -50,7 +56,7 @@
 
 Package: wireless-tools-udeb
 Section: debian-installer
-Architecture: any
+Architecture: linux-any
 XC-Package-Type: udeb
 Depends: ${shlibs:Depends}
 Description: Tools for manipulating Linux Wireless Extensions
@@ -60,9 +66,9 @@
  .
  This is a udeb of the wireless tools.
 
-Package: libiw28-udeb
+Package: libiw30-udeb
 Section: debian-installer
-Architecture: any
+Architecture: linux-any
 XC-Package-Type: udeb
 Depends: ${shlibs:Depends}
 Description: Tools for manipulating Linux Wireless Extensions
