=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = yes
include /usr/share/dpkg/default.mk

UDEB_CFLAGS=-Os -I.

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all libiw.a
	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp debian/ifrename.udev
	$(MAKE) realclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install install-static PREFIX="`pwd`/debian/tmp"
	cp 19-udev-ifrename.rules debian/ifrename.udev
	dh_install
	mkdir -p debian/libiw30/lib/$(DEB_HOST_MULTIARCH)/
	mkdir -p debian/libiw-dev/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp debian/tmp/lib/libiw.so.30 debian/libiw30/lib/$(DEB_HOST_MULTIARCH)/libiw.so.30
	cp debian/tmp/lib/libiw.a debian/libiw-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libiw.a
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libiw.so.30 debian/libiw-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libiw.so
	$(MAKE) clean
	$(MAKE) BUILD_NOLIBM=y CFLAGS="$(UDEB_CFLAGS)" PREFIX="`pwd`/debian/tmp"
	dh_install -pwireless-tools-udeb iwconfig iwgetid sbin/
	dh_install -plibiw30-udeb libiw.so.30 lib/

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installmanpages
	dh_installdocs
	dh_installchangelogs CHANGELOG.h 
	dh_installinit --no-start -- start 37 S .
	dh_installifupdown
	dh_installudev --priority=19
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs --add-udeb=libiw30-udeb
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
