## wireless-tools 30~pre9-13.1ubuntu4+11.0trisquel1

=== debian/changelog ===
wireless-tools (30~pre9-13.1ubuntu4+11.0trisquel1) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:46:26 +0000

wireless-tools (30~pre9-13.1ubuntu4) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 11:00:00 +0100

wireless-tools (30~pre9-13.1ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:28 +0200

wireless-tools (30~pre9-13.1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:39 +0100

wireless-tools (30~pre9-13.1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.
  * Dropped changes, no longer needed:
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 14:42:43 -0700

wireless-tools (30~pre9-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs. (Closes: #925857)
    - Thanks Reiner Herrmann.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 13 Mar 2020 20:33:27 +0000

wireless-tools (30~pre9-13ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Jan 2019 23:09:04 -0800

wireless-tools (30~pre9-13) unstable; urgency=medium

  * Call /sbin/ip instead of ifconfg in if-pre-up script. (Closes: 908886)
  * Bump debian/compat to 11.
  * Change Priority to optional.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 15 Sep 2018 16:35:08 +0200

wireless-tools (30~pre9-12ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 20:58:38 -0700

wireless-tools (30~pre9-12) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Also use dh_auto_build for the udeb pass. Closes: #839800

 -- Guus Sliepen <guus@debian.org>  Wed, 05 Oct 2016 14:24:54 +0200

wireless-tools (30~pre9-11) unstable; urgency=medium

  * Add ConditionPathExists=/etc/iftab to ifrename.service. Closes: #823028
  * Fix Documentation URL in ifrename.service.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 30 Apr 2016 20:28:44 +0200

wireless-tools (30~pre9-10) unstable; urgency=medium

  * Fix libiw.so symlink in the libiw-dev package. Closes: #822391

 -- Guus Sliepen <guus@debian.org>  Sun, 24 Apr 2016 12:59:01 +0200

wireless-tools (30~pre9-9) unstable; urgency=medium

  [ Elliot Mitchell ]
  * Support multiple 802.11 tool scripts for ifupdown. Closes: #154367
    - By default, the if-pre-up and if-post-down scripts will now check
      if the interface actually supports wireless-tools, otherwise they
      will exit without an error. Closes: #445356

  [ A. Costa ]
  * Fixed a typo in iwlist.8. Closes: #683635

  [ Guus Sliepen ]
  * Convert debian/rules to dh.
  * Bump Standards-Version.
  * Bump debian/compat.
  * Source /lib/lsb/init-functions in ifrename's init script.
  * Add a systemd service file for ifrename.

 -- Guus Sliepen <guus@debian.org>  Thu, 24 Mar 2016 22:31:00 +0100

wireless-tools (30~pre9-8ubuntu2) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 21:00:09 +0000

wireless-tools (30~pre9-8ubuntu1) quantal; urgency=low

  * Merge with Debian; remaining changes:
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 03 May 2012 09:24:49 -0400

wireless-tools (30~pre9-5ubuntu2) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 18:00:39 +0100

wireless-tools (30~pre9-5ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes (LP: #777358):
    - compiler-link-order.patch: libraries must be specified after the
      object/library that needs them otherwise nothing is used from them.
    - Remove the ifrename package; it conflicts with our own udev package
      which provides /etc/iftab support.
    - Add iwlist and iwevent to the wireless-tools udeb.
  * debian/patches/series: drop the debian-* patches introduced from various
    previous Ubuntu changes.
  * debian/rules,
    debian/wireless-tools.install:
    yank out rfkill, which is now shipped in its own package which we get from
    Debian. (LP: #711860)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 04 May 2011 14:50:35 -0400


