=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: wireless-tools
 Section: net
-Priority: extra
-Maintainer: Guus Sliepen <guus@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.1.3), dpkg-dev (>= 1.16.1~)
+Priority: optional
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~)
 Homepage: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
 
 Package: wireless-tools
@@ -16,18 +17,6 @@
  the Linux Wireless Extensions. The Wireless Extension is an interface
  allowing you to set Wireless LAN specific parameters and get the
  specific stats.
-
-Package: ifrename
-Section: net
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: foreign
-Conflicts: wireless-tools (<< 27+28pre9)
-Description: Rename network interfaces based on various static criteria
- Ifrename allow the user to decide what name a network interface will have.
- Ifrename can use a variety of selectors to specify how interface names match
- the network interfaces on the system, the most common selector is the
- interface MAC address.
 
 Package: libiw30
 Section: libs
